# binaryninja.interaction.get_save_filename_input

`binaryninja.interaction.``get_save_filename_input`(prompt, ext='', default_name='')

  `get_save_filename_input` prompts the user for a file name to save as, optionally providing a file extension and default_name.

  Note: This API function differently on the command line vs. the UI. In the UI a popup is used. On the commandline
    a simple text prompt is used. The ui uses the native window popup for file selection.

  Parameters:

  - prompt (str) – Prompt to display.
  - ext (str) – Optional, file extension
  - default_name (str) – Optional, default file name.

  Example:

      >>> get_save_filename_input("filename:", "exe", "foo.exe")
      filename: foo.exe
      'foo.exe'